MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
PlaylistState.hxx File Reference

Go to the source code of this file.

## Functions
void | playlist_state_save (BufferedOutputStream &os, const playlist &playlist, PlayerControl &pc)
bool | playlist_state_restore (const char *line, TextFile &file, const SongLoader &song_loader, playlist &playlist, PlayerControl &pc)
unsigned | playlist_state_get_hash (const playlist &playlist, PlayerControl &c)
| Generates a hash number for the current state of the playlist and the playback options. More...

## Function Documentation

unsigned playlist_state_get_hash | ( | const playlist & | playlist,
|  | PlayerControl & | c
| ) |  |

Generates a hash number for the current state of the playlist and the playback options.

This is used by timer_save_state_file() to determine whether the state has changed and the state file should be saved.

bool playlist_state_restore | ( | const char * | line,
|  | TextFile & | file,
|  | const SongLoader & | song_loader,
|  | playlist & | playlist,
|  | PlayerControl & | pc
| ) |  |

void playlist_state_save | ( | BufferedOutputStream & | os,
|  | const playlist & | playlist,
|  | PlayerControl & | pc
| ) |  |